#!/bin/bash

# Get the directory where this script is located
SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"

cd "$SCRIPT_DIR"

# Clean up old test data
rm -rf dehydrate_test_data

# Build the test program
docker run --rm -v $(pwd):/workdir -w /workdir gitea.jde.nz/public/dropshell-build-base:latest \
    g++ -std=c++23 -static dehydrate_test.cpp -o dehydrate_test

# Run the test
./dehydrate_test